

# Tax Settings


The following actions are supported by Tax Settings:
+  [BatchDeleteTaxRegistration](API_taxSettings_BatchDeleteTaxRegistration.md) 
+  [BatchGetTaxExemptions](API_taxSettings_BatchGetTaxExemptions.md) 
+  [BatchPutTaxRegistration](API_taxSettings_BatchPutTaxRegistration.md) 
+  [DeleteSupplementalTaxRegistration](API_taxSettings_DeleteSupplementalTaxRegistration.md) 
+  [DeleteTaxRegistration](API_taxSettings_DeleteTaxRegistration.md) 
+  [GetTaxExemptionTypes](API_taxSettings_GetTaxExemptionTypes.md) 
+  [GetTaxInheritance](API_taxSettings_GetTaxInheritance.md) 
+  [GetTaxRegistration](API_taxSettings_GetTaxRegistration.md) 
+  [GetTaxRegistrationDocument](API_taxSettings_GetTaxRegistrationDocument.md) 
+  [ListSupplementalTaxRegistrations](API_taxSettings_ListSupplementalTaxRegistrations.md) 
+  [ListTaxExemptions](API_taxSettings_ListTaxExemptions.md) 
+  [ListTaxRegistrations](API_taxSettings_ListTaxRegistrations.md) 
+  [PutSupplementalTaxRegistration](API_taxSettings_PutSupplementalTaxRegistration.md) 
+  [PutTaxExemption](API_taxSettings_PutTaxExemption.md) 
+  [PutTaxInheritance](API_taxSettings_PutTaxInheritance.md) 
+  [PutTaxRegistration](API_taxSettings_PutTaxRegistration.md) 

# BatchDeleteTaxRegistration


Deletes tax registration for multiple accounts in batch. This can be used to delete tax registrations for up to five accounts in one batch. 

**Note**  
This API operation can't be used to delete your tax registration in Brazil. Use the [Payment preferences](https://console.aws.amazon.com/billing/home#/paymentpreferences/paymentmethods) page in the AWS Billing and Cost Management console instead.

## Request Syntax


```
POST /BatchDeleteTaxRegistration HTTP/1.1
Content-type: application/json

{
   "accountIds": [ "string" ]
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountIds](#API_taxSettings_BatchDeleteTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_BatchDeleteTaxRegistration-request-accountIds"></a>
List of unique account identifiers.   
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 5 items.  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "accountId": "string",
         "code": "string",
         "message": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_taxSettings_BatchDeleteTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_BatchDeleteTaxRegistration-response-errors"></a>
The list of errors for the accounts the TRN information could not be deleted for.   
Type: Array of [BatchDeleteTaxRegistrationError](API_taxSettings_BatchDeleteTaxRegistrationError.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 

# BatchGetTaxExemptions


Get the active tax exemptions for a given list of accounts. The IAM action is `tax:GetExemptions`. 

## Request Syntax


```
POST /BatchGetTaxExemptions HTTP/1.1
Content-type: application/json

{
   "accountIds": [ "string" ]
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountIds](#API_taxSettings_BatchGetTaxExemptions_RequestSyntax) **   <a name="awscostmanagement-taxSettings_BatchGetTaxExemptions-request-accountIds"></a>
 List of unique account identifiers.   
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 5 items.  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "failedAccounts": [ "string" ],
   "taxExemptionDetailsMap": { 
      "string" : { 
         "heritageObtainedDetails": boolean,
         "heritageObtainedParentEntity": "string",
         "heritageObtainedReason": "string",
         "taxExemptions": [ 
            { 
               "authority": { 
                  "country": "string",
                  "state": "string"
               },
               "effectiveDate": number,
               "expirationDate": number,
               "status": "string",
               "systemEffectiveDate": number,
               "taxExemptionType": { 
                  "applicableJurisdictions": [ 
                     { 
                        "country": "string",
                        "state": "string"
                     }
                  ],
                  "description": "string",
                  "displayName": "string"
               }
            }
         ]
      }
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [failedAccounts](#API_taxSettings_BatchGetTaxExemptions_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_BatchGetTaxExemptions-response-failedAccounts"></a>
The list of accounts that failed to get tax exemptions.   
Type: Array of strings  
Length Constraints: Fixed length of 12.  
Pattern: `\d+` 

 ** [taxExemptionDetailsMap](#API_taxSettings_BatchGetTaxExemptions_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_BatchGetTaxExemptions-response-taxExemptionDetailsMap"></a>
The tax exemption details map of accountId and tax exemption details.   
Type: String to [TaxExemptionDetails](API_taxSettings_TaxExemptionDetails.md) object map  
Key Length Constraints: Fixed length of 12.  
Key Pattern: `\d+` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/BatchGetTaxExemptions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/BatchGetTaxExemptions) 

# BatchPutTaxRegistration


Adds or updates tax registration for multiple accounts in batch. This can be used to add or update tax registrations for up to five accounts in one batch. You can't set a TRN if there's a pending TRN. You'll need to delete the pending TRN first.

To call this API operation for specific countries, see the following country-specific requirements.

 **Bangladesh** 
+ You must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.

 **Brazil** 
+ You must complete the tax registration process in the [Payment preferences](https://console.aws.amazon.com/billing/home#/paymentpreferences/paymentmethods) page in the AWS Billing and Cost Management console. After your TRN and billing address are verified, you can call this API operation.
+ For AWS accounts created through AWS Organizations, you can call this API operation when you don't have a billing address.

 **Georgia** 
+ The valid `personType` values are `Physical Person` and `Business`.

 **Indonesia** 
+  `PutTaxRegistration`: The use of this operation to submit tax information is subject to the [AWS service terms](http://aws.amazon.com/service-terms/). By submitting, you’re providing consent for AWS to validate NIK, NPWP, and NITKU data, provided by you with the Directorate General of Taxes of Indonesia in accordance with the Minister of Finance Regulation (PMK) Number 112/PMK.03/2022.
+  `BatchPutTaxRegistration`: The use of this operation to submit tax information is subject to the [AWS service terms](http://aws.amazon.com/service-terms/). By submitting, you’re providing consent for AWS to validate NIK, NPWP, and NITKU data, provided by you with the Directorate General of Taxes of Indonesia in accordance with the Minister of Finance Regulation (PMK) Number 112/PMK.03/2022, through our third-party partner PT Achilles Advanced Management (OnlinePajak).
+ You must specify the `taxRegistrationNumberType` in the `indonesiaAdditionalInfo` field of the `additionalTaxInformation` object.
+ If you specify `decisionNumber`, you must specify the `ppnExceptionDesignationCode` in the `indonesiaAdditionalInfo` field of the `additionalTaxInformation` object. If the `taxRegistrationNumberType` is set to NPWP or NITKU, valid values for `ppnExceptionDesignationCode` are either `01`, `02`, `03`, `07`, or `08`.

  For other `taxRegistrationNumberType` values, `ppnExceptionDesignationCode` must be either `01`, `07`, or `08`.
+ If `ppnExceptionDesignationCode` is `07` or `08`, you must specify the `decisionNumber` in the `indonesiaAdditionalInfo` field of the `additionalTaxInformation` object.

 **Kenya** 
+ You must specify the `personType` in the `kenyaAdditionalInfo` field of the `additionalTaxInformation` object.
+ If the `personType` is `Physical Person`, you must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.

 **Malaysia** 
+ The sector valid values are `Business` and `Individual`.
+  `RegistrationType` valid values are `NRIC` for individual, and TIN and sales and service tax (SST) for Business.
+ For individual, you can specify the `taxInformationNumber` in `MalaysiaAdditionalInfo` with NRIC type, and a valid `MyKad` or NRIC number.
+ For business, you must specify a `businessRegistrationNumber` in `MalaysiaAdditionalInfo` with a TIN type and tax identification number.
+ For business resellers, you must specify a `businessRegistrationNumber` and `taxInformationNumber` in `MalaysiaAdditionalInfo` with a sales and service tax (SST) type and a valid SST number.
+ For business resellers with service codes, you must specify `businessRegistrationNumber`, `taxInformationNumber`, and distinct `serviceTaxCodes` in `MalaysiaAdditionalInfo` with a SST type and valid sales and service tax (SST) number. By using this API operation, AWS registers your self-declaration that you’re an authorized business reseller registered with the Royal Malaysia Customs Department (RMCD), and have a valid SST number.
+  AWS reserves the right to seek additional information and/or take other actions to support your self-declaration as appropriate.
+  AWS is currently registered under the following service tax codes. You must include at least one of the service tax codes in the service tax code strings to declare yourself as an authorized registered business reseller.

  Taxable service and service tax codes:

  Consultancy - 9907061674

  Training or coaching service - 9907071685

  IT service - 9907101676

  Digital services and electronic medium - 9907121690

 **Mexico** 
+ You must provide a Constancia de Situación fiscal (CSF) document in the **verificationDetails** field.
+ You do not need to provide address and legal name. These will be populated based on your tax registration number.

 **Nepal** 
+ The sector valid values are `Business` and `Individual`.

 **Saudi Arabia** 
+ For `address`, you must specify `addressLine3`.

 **South Korea** 
+ You must specify the `certifiedEmailId` and `legalName` in the `TaxRegistrationEntry` object. Use Korean characters for `legalName`.
+ You must specify the `businessRepresentativeName`, `itemOfBusiness`, and `lineOfBusiness` in the `southKoreaAdditionalInfo` field of the `additionalTaxInformation` object. Use Korean characters for these fields.
+ You must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.
+ For the `address` object, use Korean characters for `addressLine1`, `addressLine2` `city`, `postalCode`, and `stateOrRegion`.

 **Spain** 
+ You must specify the `registrationType` in the `spainAdditionalInfo` field of the `additionalTaxInformation` object.
+ If the `registrationType` is `Local`, you must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.

 **Turkey** 
+ You must specify the `sector` in the `taxRegistrationEntry` object.
+ If your `sector` is `Business`, `Individual`, or `Government`:
  + Specify the `taxOffice`. If your `sector` is `Individual`, don't enter this value.
  + (Optional) Specify the `kepEmailId`. If your `sector` is `Individual`, don't enter this value.
  +  **Note:** In the **Tax Settings** page of the AWS Billing console, `Government` appears as **Public institutions** 
+ If your `sector` is `Business` and you're subject to KDV tax, you must specify your industry in the `industries` field.
+ For `address`, you must specify `districtOrCounty`.

 **Ukraine** 
+ The sector valid values are `Business` and `Individual`.

## Request Syntax


```
POST /BatchPutTaxRegistration HTTP/1.1
Content-type: application/json

{
   "accountIds": [ "string" ],
   "taxRegistrationEntry": { 
      "additionalTaxInformation": { 
         "canadaAdditionalInfo": { 
            "canadaQuebecSalesTaxNumber": "string",
            "canadaRetailSalesTaxNumber": "string",
            "isResellerAccount": boolean,
            "provincialSalesTaxId": "string"
         },
         "egyptAdditionalInfo": { 
            "uniqueIdentificationNumber": "string",
            "uniqueIdentificationNumberExpirationDate": "string"
         },
         "estoniaAdditionalInfo": { 
            "registryCommercialCode": "string"
         },
         "georgiaAdditionalInfo": { 
            "personType": "string"
         },
         "greeceAdditionalInfo": { 
            "contractingAuthorityCode": "string"
         },
         "indonesiaAdditionalInfo": { 
            "decisionNumber": "string",
            "ppnExceptionDesignationCode": "string",
            "taxRegistrationNumberType": "string"
         },
         "israelAdditionalInfo": { 
            "customerType": "string",
            "dealerType": "string"
         },
         "italyAdditionalInfo": { 
            "cigNumber": "string",
            "cupNumber": "string",
            "sdiAccountId": "string",
            "taxCode": "string"
         },
         "kenyaAdditionalInfo": { 
            "personType": "string"
         },
         "malaysiaAdditionalInfo": { 
            "businessRegistrationNumber": "string",
            "serviceTaxCodes": [ "string" ],
            "taxInformationNumber": "string"
         },
         "polandAdditionalInfo": { 
            "individualRegistrationNumber": "string",
            "isGroupVatEnabled": boolean
         },
         "romaniaAdditionalInfo": { 
            "taxRegistrationNumberType": "string"
         },
         "saudiArabiaAdditionalInfo": { 
            "taxRegistrationNumberType": "string"
         },
         "southKoreaAdditionalInfo": { 
            "businessRepresentativeName": "string",
            "itemOfBusiness": "string",
            "lineOfBusiness": "string"
         },
         "spainAdditionalInfo": { 
            "registrationType": "string"
         },
         "turkeyAdditionalInfo": { 
            "industries": "string",
            "kepEmailId": "string",
            "secondaryTaxId": "string",
            "taxOffice": "string"
         },
         "ukraineAdditionalInfo": { 
            "ukraineTrnType": "string"
         },
         "uzbekistanAdditionalInfo": { 
            "taxRegistrationNumberType": "string",
            "vatRegistrationNumber": "string"
         },
         "vietnamAdditionalInfo": { 
            "electronicTransactionCodeNumber": "string",
            "enterpriseIdentificationNumber": "string",
            "paymentVoucherNumber": "string",
            "paymentVoucherNumberDate": "string"
         }
      },
      "certifiedEmailId": "string",
      "legalAddress": { 
         "addressLine1": "string",
         "addressLine2": "string",
         "addressLine3": "string",
         "city": "string",
         "countryCode": "string",
         "districtOrCounty": "string",
         "postalCode": "string",
         "stateOrRegion": "string"
      },
      "legalName": "string",
      "registrationId": "string",
      "registrationType": "string",
      "sector": "string",
      "verificationDetails": { 
         "dateOfBirth": "string",
         "taxRegistrationDocuments": [ 
            { 
               "file": { 
                  "fileContent": blob,
                  "fileName": "string"
               },
               "s3Location": { 
                  "bucket": "string",
                  "key": "string"
               }
            }
         ]
      }
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountIds](#API_taxSettings_BatchPutTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_BatchPutTaxRegistration-request-accountIds"></a>
 List of unique account identifiers.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 550 items.  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: Yes

 ** [taxRegistrationEntry](#API_taxSettings_BatchPutTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_BatchPutTaxRegistration-request-taxRegistrationEntry"></a>
Your TRN information that will be stored to the accounts mentioned in `putEntries`.   
Type: [TaxRegistrationEntry](API_taxSettings_TaxRegistrationEntry.md) object  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "accountId": "string",
         "code": "string",
         "message": "string"
      }
   ],
   "status": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_taxSettings_BatchPutTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_BatchPutTaxRegistration-response-errors"></a>
List of errors for the accounts the TRN information could not be added or updated to.   
Type: Array of [BatchPutTaxRegistrationError](API_taxSettings_BatchPutTaxRegistrationError.md) objects

 ** [status](#API_taxSettings_BatchPutTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_BatchPutTaxRegistration-response-status"></a>
The status of your TRN stored in the system after processing. Based on the validation occurring on the TRN, the status can be `Verified`, `Pending` or `Rejected`.   
Type: String  
Valid Values: `Verified | Pending | Deleted | Rejected` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/BatchPutTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/BatchPutTaxRegistration) 

# DeleteSupplementalTaxRegistration


 Deletes a supplemental tax registration for a single account. 

## Request Syntax


```
POST /DeleteSupplementalTaxRegistration HTTP/1.1
Content-type: application/json

{
   "authorityId": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [authorityId](#API_taxSettings_DeleteSupplementalTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_DeleteSupplementalTaxRegistration-request-authorityId"></a>
 The unique authority Id for the supplemental TRN information that needs to be deleted.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 200.  
Pattern: `[\s\S]*`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/DeleteSupplementalTaxRegistration) 

# DeleteTaxRegistration


Deletes tax registration for a single account. 

**Note**  
This API operation can't be used to delete your tax registration in Brazil. Use the [Payment preferences](https://console.aws.amazon.com/billing/home#/paymentpreferences/paymentmethods) page in the AWS Billing and Cost Management console instead.

## Request Syntax


```
POST /DeleteTaxRegistration HTTP/1.1
Content-type: application/json

{
   "accountId": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountId](#API_taxSettings_DeleteTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_DeleteTaxRegistration-request-accountId"></a>
Unique account identifier for the TRN information that needs to be deleted. If this isn't passed, the account ID corresponding to the credentials of the API caller will be used for this parameter.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: No

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/DeleteTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/DeleteTaxRegistration) 

# GetTaxExemptionTypes


Get supported tax exemption types. The IAM action is `tax:GetExemptions`. 

## Request Syntax


```
POST /GetTaxExemptionTypes HTTP/1.1
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "taxExemptionTypes": [ 
      { 
         "applicableJurisdictions": [ 
            { 
               "country": "string",
               "state": "string"
            }
         ],
         "description": "string",
         "displayName": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [taxExemptionTypes](#API_taxSettings_GetTaxExemptionTypes_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxExemptionTypes-response-taxExemptionTypes"></a>
The supported types of tax exemptions.   
Type: Array of [TaxExemptionType](API_taxSettings_TaxExemptionType.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/GetTaxExemptionTypes) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/GetTaxExemptionTypes) 

# GetTaxInheritance


The get account tax inheritance status. 

## Request Syntax


```
POST /GetTaxInheritance HTTP/1.1
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "heritageStatus": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [heritageStatus](#API_taxSettings_GetTaxInheritance_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxInheritance-response-heritageStatus"></a>
The tax inheritance status.   
Type: String  
Valid Values: `OptIn | OptOut` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/GetTaxInheritance) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/GetTaxInheritance) 

# GetTaxRegistration


Retrieves tax registration for a single account.

## Request Syntax


```
POST /GetTaxRegistration HTTP/1.1
Content-type: application/json

{
   "accountId": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountId](#API_taxSettings_GetTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxRegistration-request-accountId"></a>
Your unique account identifier.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "taxRegistration": { 
      "additionalTaxInformation": { 
         "brazilAdditionalInfo": { 
            "ccmCode": "string",
            "legalNatureCode": "string"
         },
         "canadaAdditionalInfo": { 
            "canadaQuebecSalesTaxNumber": "string",
            "canadaRetailSalesTaxNumber": "string",
            "isResellerAccount": boolean,
            "provincialSalesTaxId": "string"
         },
         "egyptAdditionalInfo": { 
            "uniqueIdentificationNumber": "string",
            "uniqueIdentificationNumberExpirationDate": "string"
         },
         "estoniaAdditionalInfo": { 
            "registryCommercialCode": "string"
         },
         "georgiaAdditionalInfo": { 
            "personType": "string"
         },
         "greeceAdditionalInfo": { 
            "contractingAuthorityCode": "string"
         },
         "indiaAdditionalInfo": { 
            "pan": "string"
         },
         "indonesiaAdditionalInfo": { 
            "decisionNumber": "string",
            "ppnExceptionDesignationCode": "string",
            "taxRegistrationNumberType": "string"
         },
         "israelAdditionalInfo": { 
            "customerType": "string",
            "dealerType": "string"
         },
         "italyAdditionalInfo": { 
            "cigNumber": "string",
            "cupNumber": "string",
            "sdiAccountId": "string",
            "taxCode": "string"
         },
         "kenyaAdditionalInfo": { 
            "personType": "string"
         },
         "malaysiaAdditionalInfo": { 
            "businessRegistrationNumber": "string",
            "serviceTaxCodes": [ "string" ],
            "taxInformationNumber": "string"
         },
         "polandAdditionalInfo": { 
            "individualRegistrationNumber": "string",
            "isGroupVatEnabled": boolean
         },
         "romaniaAdditionalInfo": { 
            "taxRegistrationNumberType": "string"
         },
         "saudiArabiaAdditionalInfo": { 
            "taxRegistrationNumberType": "string"
         },
         "southKoreaAdditionalInfo": { 
            "businessRepresentativeName": "string",
            "itemOfBusiness": "string",
            "lineOfBusiness": "string"
         },
         "spainAdditionalInfo": { 
            "registrationType": "string"
         },
         "turkeyAdditionalInfo": { 
            "industries": "string",
            "kepEmailId": "string",
            "secondaryTaxId": "string",
            "taxOffice": "string"
         },
         "ukraineAdditionalInfo": { 
            "ukraineTrnType": "string"
         },
         "uzbekistanAdditionalInfo": { 
            "taxRegistrationNumberType": "string",
            "vatRegistrationNumber": "string"
         },
         "vietnamAdditionalInfo": { 
            "electronicTransactionCodeNumber": "string",
            "enterpriseIdentificationNumber": "string",
            "paymentVoucherNumber": "string",
            "paymentVoucherNumberDate": "string"
         }
      },
      "certifiedEmailId": "string",
      "legalAddress": { 
         "addressLine1": "string",
         "addressLine2": "string",
         "addressLine3": "string",
         "city": "string",
         "countryCode": "string",
         "districtOrCounty": "string",
         "postalCode": "string",
         "stateOrRegion": "string"
      },
      "legalName": "string",
      "registrationId": "string",
      "registrationType": "string",
      "sector": "string",
      "status": "string",
      "taxDocumentMetadatas": [ 
         { 
            "taxDocumentAccessToken": "string",
            "taxDocumentName": "string"
         }
      ]
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [taxRegistration](#API_taxSettings_GetTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxRegistration-response-taxRegistration"></a>
TRN information of the account mentioned in the request.   
Type: [TaxRegistration](API_taxSettings_TaxRegistration.md) object

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/GetTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/GetTaxRegistration) 

# GetTaxRegistrationDocument


Downloads your tax documents to the Amazon S3 bucket that you specify in your request.

## Request Syntax


```
POST /GetTaxRegistrationDocument HTTP/1.1
Content-type: application/json

{
   "destinationS3Location": { 
      "bucket": "string",
      "prefix": "string"
   },
   "taxDocumentMetadata": { 
      "taxDocumentAccessToken": "string",
      "taxDocumentName": "string"
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [destinationS3Location](#API_taxSettings_GetTaxRegistrationDocument_RequestSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxRegistrationDocument-request-destinationS3Location"></a>
The Amazon S3 bucket that you specify to download your tax documents to.  
Type: [DestinationS3Location](API_taxSettings_DestinationS3Location.md) object  
Required: No

 ** [taxDocumentMetadata](#API_taxSettings_GetTaxRegistrationDocument_RequestSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxRegistrationDocument-request-taxDocumentMetadata"></a>
The metadata for your tax document.  
Type: [TaxDocumentMetadata](API_taxSettings_TaxDocumentMetadata.md) object  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "destinationFilePath": "string",
   "presignedS3Url": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [destinationFilePath](#API_taxSettings_GetTaxRegistrationDocument_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxRegistrationDocument-response-destinationFilePath"></a>
The file path of the Amazon S3 bucket where you want to download your tax document to.  
Type: String  
Pattern: `[\s\S]*` 

 ** [presignedS3Url](#API_taxSettings_GetTaxRegistrationDocument_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_GetTaxRegistrationDocument-response-presignedS3Url"></a>
The Amazon S3 presigned URL of the tax registration document.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 200.  
Pattern: `https.*\S.*` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/GetTaxRegistrationDocument) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/GetTaxRegistrationDocument) 

# ListSupplementalTaxRegistrations


 Retrieves supplemental tax registrations for a single account. 

## Request Syntax


```
POST /ListSupplementalTaxRegistrations HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [maxResults](#API_taxSettings_ListSupplementalTaxRegistrations_RequestSyntax) **   <a name="awscostmanagement-taxSettings_ListSupplementalTaxRegistrations-request-maxResults"></a>
 The number of `taxRegistrations` results you want in one response.   
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 1000.  
Required: No

 ** [nextToken](#API_taxSettings_ListSupplementalTaxRegistrations_RequestSyntax) **   <a name="awscostmanagement-taxSettings_ListSupplementalTaxRegistrations-request-nextToken"></a>
 The token to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `[-A-Za-z0-9_+\=\/]+`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "taxRegistrations": [ 
      { 
         "address": { 
            "addressLine1": "string",
            "addressLine2": "string",
            "addressLine3": "string",
            "city": "string",
            "countryCode": "string",
            "districtOrCounty": "string",
            "postalCode": "string",
            "stateOrRegion": "string"
         },
         "authorityId": "string",
         "legalName": "string",
         "registrationId": "string",
         "registrationType": "string",
         "status": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_taxSettings_ListSupplementalTaxRegistrations_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_ListSupplementalTaxRegistrations-response-nextToken"></a>
 The token to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `[-A-Za-z0-9_+\=\/]+` 

 ** [taxRegistrations](#API_taxSettings_ListSupplementalTaxRegistrations_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_ListSupplementalTaxRegistrations-response-taxRegistrations"></a>
 The list of supplemental tax registrations.   
Type: Array of [SupplementalTaxRegistration](API_taxSettings_SupplementalTaxRegistration.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/ListSupplementalTaxRegistrations) 

# ListTaxExemptions


Retrieves the tax exemption of accounts listed in a consolidated billing family. The IAM action is `tax:GetExemptions`.

## Request Syntax


```
POST /ListTaxExemptions HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [maxResults](#API_taxSettings_ListTaxExemptions_RequestSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxExemptions-request-maxResults"></a>
The number of results you want in one response.   
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 1000.  
Required: No

 ** [nextToken](#API_taxSettings_ListTaxExemptions_RequestSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxExemptions-request-nextToken"></a>
The token to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `[-A-Za-z0-9_+\=\/]+`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "taxExemptionDetailsMap": { 
      "string" : { 
         "heritageObtainedDetails": boolean,
         "heritageObtainedParentEntity": "string",
         "heritageObtainedReason": "string",
         "taxExemptions": [ 
            { 
               "authority": { 
                  "country": "string",
                  "state": "string"
               },
               "effectiveDate": number,
               "expirationDate": number,
               "status": "string",
               "systemEffectiveDate": number,
               "taxExemptionType": { 
                  "applicableJurisdictions": [ 
                     { 
                        "country": "string",
                        "state": "string"
                     }
                  ],
                  "description": "string",
                  "displayName": "string"
               }
            }
         ]
      }
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_taxSettings_ListTaxExemptions_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxExemptions-response-nextToken"></a>
The token to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `[-A-Za-z0-9_+\=\/]+` 

 ** [taxExemptionDetailsMap](#API_taxSettings_ListTaxExemptions_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxExemptions-response-taxExemptionDetailsMap"></a>
The tax exemption details map of `accountId` and tax exemption details.   
Type: String to [TaxExemptionDetails](API_taxSettings_TaxExemptionDetails.md) object map  
Key Length Constraints: Fixed length of 12.  
Key Pattern: `\d+` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/ListTaxExemptions) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/ListTaxExemptions) 

# ListTaxRegistrations


Retrieves the tax registration of accounts listed in a consolidated billing family. This can be used to retrieve up to 100 accounts' tax registrations in one call (default 50). 

## Request Syntax


```
POST /ListTaxRegistrations HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [maxResults](#API_taxSettings_ListTaxRegistrations_RequestSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxRegistrations-request-maxResults"></a>
Number of `accountDetails` results you want in one response.   
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 1000.  
Required: No

 ** [nextToken](#API_taxSettings_ListTaxRegistrations_RequestSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxRegistrations-request-nextToken"></a>
The token to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `[-A-Za-z0-9_+\=\/]+`   
Required: No

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "accountDetails": [ 
      { 
         "accountId": "string",
         "accountMetaData": { 
            "accountName": "string",
            "address": { 
               "addressLine1": "string",
               "addressLine2": "string",
               "addressLine3": "string",
               "city": "string",
               "countryCode": "string",
               "districtOrCounty": "string",
               "postalCode": "string",
               "stateOrRegion": "string"
            },
            "addressRoleMap": { 
               "string" : { 
                  "countryCode": "string",
                  "stateOrRegion": "string"
               }
            },
            "addressType": "string",
            "seller": "string"
         },
         "taxInheritanceDetails": { 
            "inheritanceObtainedReason": "string",
            "parentEntityId": "string"
         },
         "taxRegistration": { 
            "additionalTaxInformation": { 
               "brazilAdditionalInfo": { 
                  "ccmCode": "string",
                  "legalNatureCode": "string"
               },
               "canadaAdditionalInfo": { 
                  "canadaQuebecSalesTaxNumber": "string",
                  "canadaRetailSalesTaxNumber": "string",
                  "isResellerAccount": boolean,
                  "provincialSalesTaxId": "string"
               },
               "egyptAdditionalInfo": { 
                  "uniqueIdentificationNumber": "string",
                  "uniqueIdentificationNumberExpirationDate": "string"
               },
               "estoniaAdditionalInfo": { 
                  "registryCommercialCode": "string"
               },
               "georgiaAdditionalInfo": { 
                  "personType": "string"
               },
               "greeceAdditionalInfo": { 
                  "contractingAuthorityCode": "string"
               },
               "indiaAdditionalInfo": { 
                  "pan": "string"
               },
               "indonesiaAdditionalInfo": { 
                  "decisionNumber": "string",
                  "ppnExceptionDesignationCode": "string",
                  "taxRegistrationNumberType": "string"
               },
               "israelAdditionalInfo": { 
                  "customerType": "string",
                  "dealerType": "string"
               },
               "italyAdditionalInfo": { 
                  "cigNumber": "string",
                  "cupNumber": "string",
                  "sdiAccountId": "string",
                  "taxCode": "string"
               },
               "kenyaAdditionalInfo": { 
                  "personType": "string"
               },
               "malaysiaAdditionalInfo": { 
                  "businessRegistrationNumber": "string",
                  "serviceTaxCodes": [ "string" ],
                  "taxInformationNumber": "string"
               },
               "polandAdditionalInfo": { 
                  "individualRegistrationNumber": "string",
                  "isGroupVatEnabled": boolean
               },
               "romaniaAdditionalInfo": { 
                  "taxRegistrationNumberType": "string"
               },
               "saudiArabiaAdditionalInfo": { 
                  "taxRegistrationNumberType": "string"
               },
               "southKoreaAdditionalInfo": { 
                  "businessRepresentativeName": "string",
                  "itemOfBusiness": "string",
                  "lineOfBusiness": "string"
               },
               "spainAdditionalInfo": { 
                  "registrationType": "string"
               },
               "turkeyAdditionalInfo": { 
                  "industries": "string",
                  "kepEmailId": "string",
                  "secondaryTaxId": "string",
                  "taxOffice": "string"
               },
               "ukraineAdditionalInfo": { 
                  "ukraineTrnType": "string"
               },
               "uzbekistanAdditionalInfo": { 
                  "taxRegistrationNumberType": "string",
                  "vatRegistrationNumber": "string"
               },
               "vietnamAdditionalInfo": { 
                  "electronicTransactionCodeNumber": "string",
                  "enterpriseIdentificationNumber": "string",
                  "paymentVoucherNumber": "string",
                  "paymentVoucherNumberDate": "string"
               }
            },
            "certifiedEmailId": "string",
            "jurisdiction": { 
               "countryCode": "string",
               "stateOrRegion": "string"
            },
            "legalName": "string",
            "registrationId": "string",
            "registrationType": "string",
            "sector": "string",
            "status": "string",
            "taxDocumentMetadatas": [ 
               { 
                  "taxDocumentAccessToken": "string",
                  "taxDocumentName": "string"
               }
            ]
         }
      }
   ],
   "nextToken": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [accountDetails](#API_taxSettings_ListTaxRegistrations_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxRegistrations-response-accountDetails"></a>
The list of account details. This contains account Ids and TRN Information for each of the linked accounts.   
Type: Array of [AccountDetails](API_taxSettings_AccountDetails.md) objects

 ** [nextToken](#API_taxSettings_ListTaxRegistrations_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_ListTaxRegistrations-response-nextToken"></a>
 The token to retrieve the next set of results.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2000.  
Pattern: `[-A-Za-z0-9_+\=\/]+` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/ListTaxRegistrations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/ListTaxRegistrations) 

# PutSupplementalTaxRegistration


 Stores supplemental tax registration for a single account. 

## Request Syntax


```
POST /PutSupplementalTaxRegistration HTTP/1.1
Content-type: application/json

{
   "taxRegistrationEntry": { 
      "address": { 
         "addressLine1": "string",
         "addressLine2": "string",
         "addressLine3": "string",
         "city": "string",
         "countryCode": "string",
         "districtOrCounty": "string",
         "postalCode": "string",
         "stateOrRegion": "string"
      },
      "legalName": "string",
      "registrationId": "string",
      "registrationType": "string"
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [taxRegistrationEntry](#API_taxSettings_PutSupplementalTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutSupplementalTaxRegistration-request-taxRegistrationEntry"></a>
 The supplemental TRN information that will be stored for the caller account ID.   
Type: [SupplementalTaxRegistrationEntry](API_taxSettings_SupplementalTaxRegistrationEntry.md) object  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "authorityId": "string",
   "status": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [authorityId](#API_taxSettings_PutSupplementalTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_PutSupplementalTaxRegistration-response-authorityId"></a>
 Unique authority ID for the supplemental TRN information that was stored.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 200.  
Pattern: `[\s\S]*` 

 ** [status](#API_taxSettings_PutSupplementalTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_PutSupplementalTaxRegistration-response-status"></a>
 The status of the supplemental TRN stored in the system after processing. Based on the validation occurring on the TRN, the status can be `Verified`, `Pending`, `Rejected`, or `Deleted`.   
Type: String  
Valid Values: `Verified | Pending | Deleted | Rejected` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/PutSupplementalTaxRegistration) 

# PutTaxExemption


Adds the tax exemption for a single account or all accounts listed in a consolidated billing family. The IAM action is `tax:UpdateExemptions`. 

## Request Syntax


```
POST /PutTaxExemption HTTP/1.1
Content-type: application/json

{
   "accountIds": [ "string" ],
   "authority": { 
      "country": "string",
      "state": "string"
   },
   "exemptionCertificate": { 
      "documentFile": blob,
      "documentName": "string"
   },
   "exemptionType": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountIds](#API_taxSettings_PutTaxExemption_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxExemption-request-accountIds"></a>
 The list of unique account identifiers.   
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 550 items.  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: Yes

 ** [authority](#API_taxSettings_PutTaxExemption_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxExemption-request-authority"></a>
The address domain associate with the tax information.   
Type: [Authority](API_taxSettings_Authority.md) object  
Required: Yes

 ** [exemptionCertificate](#API_taxSettings_PutTaxExemption_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxExemption-request-exemptionCertificate"></a>
The exemption certificate.   
Type: [ExemptionCertificate](API_taxSettings_ExemptionCertificate.md) object  
Required: Yes

 ** [exemptionType](#API_taxSettings_PutTaxExemption_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxExemption-request-exemptionType"></a>
The exemption type. Use the supported tax exemption type description.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 200.  
Pattern: `[\s\S]*`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "caseId": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [caseId](#API_taxSettings_PutTaxExemption_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxExemption-response-caseId"></a>
The customer support case ID.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 200.  
Pattern: `[\s\S]*` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The access is denied for the Support API.   
HTTP Status Code: 401

 ** AttachmentUploadException **   
Failed to upload the tax exemption document to Support case.   
HTTP Status Code: 400

 ** CaseCreationLimitExceededException **   
You've exceeded the Support case creation limit for your account.   
HTTP Status Code: 413

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/PutTaxExemption) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/PutTaxExemption) 

# PutTaxInheritance


The updated tax inheritance status. 

## Request Syntax


```
POST /PutTaxInheritance HTTP/1.1
Content-type: application/json

{
   "heritageStatus": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [heritageStatus](#API_taxSettings_PutTaxInheritance_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxInheritance-request-heritageStatus"></a>
The tax inheritance status.   
Type: String  
Valid Values: `OptIn | OptOut`   
Required: No

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The exception thrown when the input doesn't have a resource associated to it.    
 ** errorCode **   
404
HTTP Status Code: 404

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/PutTaxInheritance) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/PutTaxInheritance) 

# PutTaxRegistration


Adds or updates tax registration for a single account. You can't set a TRN if there's a pending TRN. You'll need to delete the pending TRN first.

To call this API operation for specific countries, see the following country-specific requirements.

 **Bangladesh** 
+ You must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.

 **Brazil** 
+ You must complete the tax registration process in the [Payment preferences](https://console.aws.amazon.com/billing/home#/paymentpreferences/paymentmethods) page in the AWS Billing and Cost Management console. After your TRN and billing address are verified, you can call this API operation.
+ For AWS accounts created through AWS Organizations, you can call this API operation when you don't have a billing address.

 **Georgia** 
+ The valid `personType` values are `Physical Person` and `Business`.

 **Indonesia** 
+  `PutTaxRegistration`: The use of this operation to submit tax information is subject to the [AWS service terms](http://aws.amazon.com/service-terms/). By submitting, you’re providing consent for AWS to validate NIK, NPWP, and NITKU data, provided by you with the Directorate General of Taxes of Indonesia in accordance with the Minister of Finance Regulation (PMK) Number 112/PMK.03/2022.
+  `BatchPutTaxRegistration`: The use of this operation to submit tax information is subject to the [AWS service terms](http://aws.amazon.com/service-terms/). By submitting, you’re providing consent for AWS to validate NIK, NPWP, and NITKU data, provided by you with the Directorate General of Taxes of Indonesia in accordance with the Minister of Finance Regulation (PMK) Number 112/PMK.03/2022, through our third-party partner PT Achilles Advanced Management (OnlinePajak).
+ You must specify the `taxRegistrationNumberType` in the `indonesiaAdditionalInfo` field of the `additionalTaxInformation` object.
+ If you specify `decisionNumber`, you must specify the `ppnExceptionDesignationCode` in the `indonesiaAdditionalInfo` field of the `additionalTaxInformation` object. If the `taxRegistrationNumberType` is set to NPWP or NITKU, valid values for `ppnExceptionDesignationCode` are either `01`, `02`, `03`, `07`, or `08`.

  For other `taxRegistrationNumberType` values, `ppnExceptionDesignationCode` must be either `01`, `07`, or `08`.
+ If `ppnExceptionDesignationCode` is `07` or `08`, you must specify the `decisionNumber` in the `indonesiaAdditionalInfo` field of the `additionalTaxInformation` object.

 **Kenya** 
+ You must specify the `personType` in the `kenyaAdditionalInfo` field of the `additionalTaxInformation` object.
+ If the `personType` is `Physical Person`, you must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.

 **Malaysia** 
+ The sector valid values are `Business` and `Individual`.
+  `RegistrationType` valid values are `NRIC` for individual, and TIN and sales and service tax (SST) for Business.
+ For individual, you can specify the `taxInformationNumber` in `MalaysiaAdditionalInfo` with NRIC type, and a valid `MyKad` or NRIC number.
+ For business, you must specify a `businessRegistrationNumber` in `MalaysiaAdditionalInfo` with a TIN type and tax identification number.
+ For business resellers, you must specify a `businessRegistrationNumber` and `taxInformationNumber` in `MalaysiaAdditionalInfo` with a sales and service tax (SST) type and a valid SST number.
+ For business resellers with service codes, you must specify `businessRegistrationNumber`, `taxInformationNumber`, and distinct `serviceTaxCodes` in `MalaysiaAdditionalInfo` with a SST type and valid sales and service tax (SST) number. By using this API operation, AWS registers your self-declaration that you’re an authorized business reseller registered with the Royal Malaysia Customs Department (RMCD), and have a valid SST number.
+  AWS reserves the right to seek additional information and/or take other actions to support your self-declaration as appropriate.
+  AWS is currently registered under the following service tax codes. You must include at least one of the service tax codes in the service tax code strings to declare yourself as an authorized registered business reseller.

  Taxable service and service tax codes:

  Consultancy - 9907061674

  Training or coaching service - 9907071685

  IT service - 9907101676

  Digital services and electronic medium - 9907121690

 **Mexico** 
+ You must provide a Constancia de Situación fiscal (CSF) document in the **verificationDetails** field.
+ You do not need to provide address and legal name. These will be populated based on your tax registration number.

 **Nepal** 
+ The sector valid values are `Business` and `Individual`.

 **Saudi Arabia** 
+ For `address`, you must specify `addressLine3`.

 **South Korea** 
+ You must specify the `certifiedEmailId` and `legalName` in the `TaxRegistrationEntry` object. Use Korean characters for `legalName`.
+ You must specify the `businessRepresentativeName`, `itemOfBusiness`, and `lineOfBusiness` in the `southKoreaAdditionalInfo` field of the `additionalTaxInformation` object. Use Korean characters for these fields.
+ You must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.
+ For the `address` object, use Korean characters for `addressLine1`, `addressLine2` `city`, `postalCode`, and `stateOrRegion`.

 **Spain** 
+ You must specify the `registrationType` in the `spainAdditionalInfo` field of the `additionalTaxInformation` object.
+ If the `registrationType` is `Local`, you must specify the tax registration certificate document in the `taxRegistrationDocuments` field of the `VerificationDetails` object.

 **Turkey** 
+ You must specify the `sector` in the `taxRegistrationEntry` object.
+ If your `sector` is `Business`, `Individual`, or `Government`:
  + Specify the `taxOffice`. If your `sector` is `Individual`, don't enter this value.
  + (Optional) Specify the `kepEmailId`. If your `sector` is `Individual`, don't enter this value.
  +  **Note:** In the **Tax Settings** page of the AWS Billing console, `Government` appears as **Public institutions** 
+ If your `sector` is `Business` and you're subject to KDV tax, you must specify your industry in the `industries` field.
+ For `address`, you must specify `districtOrCounty`.

 **Ukraine** 
+ The sector valid values are `Business` and `Individual`.

## Request Syntax


```
POST /PutTaxRegistration HTTP/1.1
Content-type: application/json

{
   "accountId": "string",
   "taxRegistrationEntry": { 
      "additionalTaxInformation": { 
         "canadaAdditionalInfo": { 
            "canadaQuebecSalesTaxNumber": "string",
            "canadaRetailSalesTaxNumber": "string",
            "isResellerAccount": boolean,
            "provincialSalesTaxId": "string"
         },
         "egyptAdditionalInfo": { 
            "uniqueIdentificationNumber": "string",
            "uniqueIdentificationNumberExpirationDate": "string"
         },
         "estoniaAdditionalInfo": { 
            "registryCommercialCode": "string"
         },
         "georgiaAdditionalInfo": { 
            "personType": "string"
         },
         "greeceAdditionalInfo": { 
            "contractingAuthorityCode": "string"
         },
         "indonesiaAdditionalInfo": { 
            "decisionNumber": "string",
            "ppnExceptionDesignationCode": "string",
            "taxRegistrationNumberType": "string"
         },
         "israelAdditionalInfo": { 
            "customerType": "string",
            "dealerType": "string"
         },
         "italyAdditionalInfo": { 
            "cigNumber": "string",
            "cupNumber": "string",
            "sdiAccountId": "string",
            "taxCode": "string"
         },
         "kenyaAdditionalInfo": { 
            "personType": "string"
         },
         "malaysiaAdditionalInfo": { 
            "businessRegistrationNumber": "string",
            "serviceTaxCodes": [ "string" ],
            "taxInformationNumber": "string"
         },
         "polandAdditionalInfo": { 
            "individualRegistrationNumber": "string",
            "isGroupVatEnabled": boolean
         },
         "romaniaAdditionalInfo": { 
            "taxRegistrationNumberType": "string"
         },
         "saudiArabiaAdditionalInfo": { 
            "taxRegistrationNumberType": "string"
         },
         "southKoreaAdditionalInfo": { 
            "businessRepresentativeName": "string",
            "itemOfBusiness": "string",
            "lineOfBusiness": "string"
         },
         "spainAdditionalInfo": { 
            "registrationType": "string"
         },
         "turkeyAdditionalInfo": { 
            "industries": "string",
            "kepEmailId": "string",
            "secondaryTaxId": "string",
            "taxOffice": "string"
         },
         "ukraineAdditionalInfo": { 
            "ukraineTrnType": "string"
         },
         "uzbekistanAdditionalInfo": { 
            "taxRegistrationNumberType": "string",
            "vatRegistrationNumber": "string"
         },
         "vietnamAdditionalInfo": { 
            "electronicTransactionCodeNumber": "string",
            "enterpriseIdentificationNumber": "string",
            "paymentVoucherNumber": "string",
            "paymentVoucherNumberDate": "string"
         }
      },
      "certifiedEmailId": "string",
      "legalAddress": { 
         "addressLine1": "string",
         "addressLine2": "string",
         "addressLine3": "string",
         "city": "string",
         "countryCode": "string",
         "districtOrCounty": "string",
         "postalCode": "string",
         "stateOrRegion": "string"
      },
      "legalName": "string",
      "registrationId": "string",
      "registrationType": "string",
      "sector": "string",
      "verificationDetails": { 
         "dateOfBirth": "string",
         "taxRegistrationDocuments": [ 
            { 
               "file": { 
                  "fileContent": blob,
                  "fileName": "string"
               },
               "s3Location": { 
                  "bucket": "string",
                  "key": "string"
               }
            }
         ]
      }
   }
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountId](#API_taxSettings_PutTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxRegistration-request-accountId"></a>
Your unique account identifier.   
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: No

 ** [taxRegistrationEntry](#API_taxSettings_PutTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxRegistration-request-taxRegistrationEntry"></a>
 Your TRN information that will be stored to the account mentioned in `accountId`.   
Type: [TaxRegistrationEntry](API_taxSettings_TaxRegistrationEntry.md) object  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "status": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [status](#API_taxSettings_PutTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_PutTaxRegistration-response-status"></a>
The status of your TRN stored in the system after processing. Based on the validation occurring on the TRN, the status can be `Verified`, `Pending` or `Rejected`.   
Type: String  
Valid Values: `Verified | Pending | Deleted | Rejected` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/PutTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/PutTaxRegistration) 